Subject: bug#19476: closed (Re: bug#19228: Challenging output from "help2man split")

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 01 Jan 2015 18:13:03 +0000

Your bug report

#19228: Poor output from "help2man split"

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
19228: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=19228
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#19228: Challenging output from "help2man split"
From: Pádraig Brady <[email-masked]>
To: Kevin O'Gorman <[email-masked]>, [email-masked], [email-masked]
Date: Thu, 01 Jan 2015 18:12:13 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

On 30/11/14 17:33, Pádraig Brady wrote:
> On 30/11/14 17:06, Kevin O'Gorman wrote:
>> This is sent to the bug addresses for both help2man and split because I'm not sure where the fault lies.  Both are GNU projects, so I hope you can cooperate and figure it out.
>>
>> In any event, the output of "help2man split" loses some line breaks and makes an itemized list somewhat hard to understand.  This is the portion that begins "CHUNKS may be:"
>>
>> I'm an Xubuntu user, and this output is the man page we get.  I expect the same is true of some or all debian-based distros, and perhaps others as well.
> 
> Yes we should improve this. with the following simple patch
> we get better output in the man page,

I've now pushed that and marking this as done.

> though there are extraneous newlines then

I'm not sure if tighter formatting is possible
or appropriate for man pages.

thanks,
Pádraig.

Subject: Poor output from "help2man split"
From: "Kevin O'Gorman" <[email-masked]>
To: [email-masked], [email-masked]
Date: Wed, 31 Dec 2014 03:28:37 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

This is sent to the bug address for both split and help2man because I don't
really know where the fault lies.  Both help2man and split are GNU
software, though, so I hope you can cooperate and figure it out.

In any event, there's a bit of the output that is challenging to read
because line breaks have been lost.  The output of "help2man split" joins
the nines in the poriti that begins

-- 
Kevin O'Gorman
#define QUESTION ((bb) || (!bb))   /* Shakespeare */

Please consider the environment before printing this email.